<?php 

	include("config.php");
	require_once("phpexcel/PHPExcel.php");

	if (PHP_SAPI == 'cli')
    	die('Este archivo solo se puede ver desde un navegador web');
	
	// Se crea el objeto PHPExcel
	$objPHPExcel = new PHPExcel();

	$id_local = $_GET['id_local'];
	$fecha1 = $_GET['fecha1'];
	$fecha2 = $_GET['fecha2'];

	$conexion = new mysqli($db_host,$db_user,$db_pass,$db_name);
	if (mysqli_connect_errno()) {
	   printf("La conexión con el servidor de base de datos falló: %s\n", mysqli_connect_error());
	   exit();
	}


	$consulta = 'SELECT b.* , u.*, t.*, b.updated_at as envio, b.mensaje_envio as mensaje   FROM bajas b INNER JOIN tipo_comprobante t ON t.id_tipo_comprobante= b.id_tipo_comprobante  INNER JOIN usuarios u ON u.id_usuario = b.id_usuario WHERE (b.created_at >= "'.$fecha1.' 00:00:00" AND b.created_at <= "'.$fecha2.' 23:59:59") AND b.id_local= "'.$id_local.'" ORDER BY b.created_at ASC';

	 
	$resultado = $conexion->query($consulta);

	if($resultado->num_rows > 0 ){

		// Propiedades del documento
		$objPHPExcel->getProperties()->setCreator("Seven")
									 ->setLastModifiedBy("Seven")
									 ->setTitle("Reporte de COMUNICACION DE BAJA")
									 ->setSubject("Reporte de COMUNICACION DE BAJA")
									 ->setDescription("Reporte de COMUNICACION DE BAJA")
									 ->setKeywords("office 2010 openxml php")
									 ->setCategory("Archivo con resultado de reporte");
		
		// Combino las celdas desde A1 hasta F1
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A1:H1');
		$objPHPExcel->setActiveSheetIndex(0)
		            ->setCellValue('A1', 'REPORTE DE COMUNICACION DE BAJAS EMITIDOS ENTRE : '.$fecha1.' & '.$fecha2)
		            ->setCellValue('A2', 'ITEM')
		            ->setCellValue('B2', 'TIPO DE COMPROBANTE')
		            ->setCellValue('C2', 'COMPROBANTE DE BAJA')
					->setCellValue('D2', 'FEHA DE EMISION')
					->setCellValue('E2', 'FECHA DE BAJA')
					->setCellValue('F2', 'MOTIVO DE BAJA')
					->setCellValue('G2', 'PERSONAL QUE DIO DE BAJA')
					->setCellValue('H2', 'ESTADO ENVIO SUNAT')
					->setCellValue('I2', 'FECHA DE ENVIO')
					->setCellValue('J2', 'RESPUESTA DE SUNAT');
					
		// Fuente de la primera fila en negrita
		$boldArray = array('font' => array('bold' => true,),'alignment' => array('horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER));
		$objPHPExcel->getActiveSheet()->getStyle('A1:J2')->applyFromArray($boldArray);


		//Ancho de las columnas
		$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(8);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(30);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(30);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(20);	
		$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(20);
		$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(80);
        $objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(80);
        $objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(25);	
        $objPHPExcel->getActiveSheet()->getColumnDimension('I')->setWidth(20);	
        $objPHPExcel->getActiveSheet()->getColumnDimension('J')->setWidth(100);	
	
		$i = 3; //Numero de fila donde se va a comenzar a rellenar
		//$suma = 0;
		$j = 1;
		while ($fila = $resultado->fetch_array()) {
			$objPHPExcel->setActiveSheetIndex(0)
			    ->setCellValue('A'.$i, $j)
			    ->setCellValue('B'.$i, utf8_encode($fila['nombre']))
			    ->setCellValue('C'.$i, $fila['serie'].'-'.$fila['numero'])
			    ->setCellValue('D'.$i, $fila['fecha_referencia'])
			    ->setCellValue('E'.$i, $fila['fecha_emision'])
			    ->setCellValue('F'.$i, utf8_encode($fila['motivo']))
			    ->setCellValue('G'.$i, utf8_encode($fila['nombres'].' '.$fila['apellidos']))
			    ->setCellValue('H'.$i, utf8_encode($fila['estado_envio']))
			    ->setCellValue('I'.$i, $fila['envio'])
			    ->setCellValue('J'.$i, utf8_encode($fila['mensaje']));
			$i++;
			$j++;
			//$suma = $suma+$fila['total'];
		}

		/*$objPHPExcel->setActiveSheetIndex(0)->setCellValue('F'.$i, "TOTAL");
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('G'.$i, $suma);
		$objPHPExcel->getActiveSheet()->getStyle('F'.$i)->getFont()->setBold(true);
		$objPHPExcel->getActiveSheet()->getStyle('G'.$i)->getFont()->setBold(true);
		$objPHPExcel->getActiveSheet()->getStyle('G3:G'.$i)->getNumberFormat()->setFormatCode('0.00');
		$objPHPExcel->getActiveSheet()->getStyle('E3:E'.$i)->getNumberFormat()->setFormatCode('0.00');*/

		$i = $i-1;
		$H = "J".$i;
		$rango = "A2:$H";
		$styleArray = array('font' => array( 'name' => 'Arial','size' => 10),
		'borders'=>array('allborders'=>array('style'=> PHPExcel_Style_Border::BORDER_THIN,'color'=>array('argb' => 'FFF')))
		);
		$objPHPExcel->getActiveSheet()->getStyle($rango)->applyFromArray($styleArray);

		// Cambiar el nombre de hoja de cálculo
		$objPHPExcel->getActiveSheet()->setTitle('Reporte');

		// Establecer índice de hoja activa a la primera hoja , por lo que Excel abre esto como la primera hoja
		$objPHPExcel->setActiveSheetIndex(0);

		// Se manda el archivo al navegador web, con el nombre que se indica, en formato 2007
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="Reporte_comunicacion_baja.xlsx"');
		header('Cache-Control: max-age=0');
		 
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->save('php://output');
		exit;

	}
	else{
	    print_r('No hay resultados para mostrar');
	}



	






